
Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Bug #2463

BD Change header label for Manage Applicants to Manage Applicants, Not Received Applications

01/23/2017 07:40 AM - Oleksii Kurasov

Status: Closed Start date: 01/23/2017

Priority: Immediate Due date: 01/24/2017

Assignee: Oleksii Kurasov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

History

#1 - 01/23/2017 07:49 AM - Oleksii Kurasov

- Status changed from New to In Progress

#2 - 01/23/2017 08:01 AM - Oleksii Kurasov

- Status changed from In Progress to Closed
